<script>
export default {
  name: 'Recognition',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      openTab: 0,
    };
  },
  mounted() {
    this.selectTab(0);
  },
  methods: {
    selectTab(index) {
      this.openTab = index;
    },
  },
};
</script>

<template>
  <section class="recognition">
    <SlpContainer>
      <SlpRow class="recognition__row">
        <SlpColumn :cols="7" size="md">
          <SlpTypography tag="h2" variant="heading2-bold" class="slp-pr-24">
            <span v-html="data.heading"></span
          ></SlpTypography>
        </SlpColumn>
        <SlpColumn :cols="5" size="md">
          <div class="recognition__stats">
            <div
              v-for="stat in data.stats"
              :key="stat.value"
              class="recognition__stat"
            >
              <SlpTypography tag="p" variant="heading1-bold">
                <span v-html="stat.value"></span
              ></SlpTypography>
              <SlpTypography tag="p" variant="body1">
                <span v-html="stat.blurb"></span
              ></SlpTypography>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>

      <div class="recognition__wrapper">
        <div
          v-for="card in data.cards"
          :key="card.text"
          class="recognition__card"
        >
          <SlpTypography
            v-if="card.header"
            tag="p"
            variant="heading4-bold"
            class="slp-mb-md-32"
            >{{ card.header }}</SlpTypography
          >
          <nuxt-img
            v-if="card.logo"
            :src="card.logo"
            :alt="card.alt ?? ''"
            height="24px"
            class="slp-mb-24"
            loading="lazy"
            format="webp"
            quality="99"
          />

          <SlpTypography
            v-if="card.text"
            tag="p"
            variant="body1"
            class="slp-mb-md-32"
            >{{ card.text }}</SlpTypography
          >
          <div v-if="card.badges" class="recognition__badges">
            <nuxt-img
              v-for="image in card.badges"
              :key="image.src"
              :src="image.src"
              :alt="image.alt"
              loading="lazy"
              format="webp"
              quality="99"
            />
          </div>
          <SlpButton
            variant="tertiary"
            class="recognition__button slp-mt-16"
            :href="card.link.href"
            :data-ga-name="card.link.data_ga_name"
            :data-ga-location="card.link.data_ga_location"
          >
            {{ card.link.text }}
            <SlpIcon
              name="chevron-right"
              variant="product"
              size="medium"
              class="recognition__content-icon"
            />
          </SlpButton>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.recognition {
  position: relative;
  padding: $spacing-64 0;
  z-index: 0;

  @media (min-width: $breakpoint-sm) {
    padding: $spacing-64 0;
  }
  &__stats {
    display: flex;
    justify-content: space-between;
    margin: $spacing-32 auto;
    @media (min-width: $breakpoint-md) {
      margin: 0 0 $spacing-96 0;
    }
  }
  &__stat {
    :first-of-type {
      margin-right: 32px;
    }
  }
  &__card {
    border-radius: 0px;
    border: 1px solid $color-surface-100;
    padding: $spacing-32;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 16px;

    @media (min-width: $breakpoint-md) {
      margin-bottom: 0;
      border-radius: 0px 0px 0px 8px;
    }
    &:first-of-type {
      border-radius: 8px 8px 0px 0px;
      @media (min-width: $breakpoint-md) {
        border-radius: 8px 0px 0px 0px;
      }
    }
    &:last-of-type {
      padding: $spacing-32 $spacing-16;
      grid: {
        column: 2 / span 1;
        row: 1 / span 2;
      }
      border-radius: 0px 0px 90px 8px;
      @media (min-width: $breakpoint-md) {
        border-radius: 0px 8px 90px 0px;
        padding: $spacing-32 $spacing-48;
      }
    }
    .recognition__badges {
      order: 3;
      @media (min-width: $breakpoint-md) {
        order: unset;
      }
    }
    .recognition__button {
      order: 2;
      display: block;
      text-align: left;
      @media (min-width: $breakpoint-md) {
        order: unset;
      }
    }
  }
  &__wrapper {
    @media (min-width: $breakpoint-md) {
      display: grid;
      grid: {
        template-columns: 40% auto;
        gap: $spacing-16 $spacing-16;
      }
    }
  }
  &__badges {
    position: relative;
    justify-content: flex-start;
    display: flex;
    flex-wrap: wrap;

    justify-content: space-between;
    @media (min-width: $breakpoint-md) {
      gap: 42px;
    }
    img {
      width: 76px;
      @media (min-width: $breakpoint-md) {
        width: 96px;
      }
    }
  }
  &__button {
    margin-top: 16px;
    @media (min-width: $breakpoint-md) {
      margin-top: auto;
    }
  }
  &__content-icon {
    height: 20px;
    width: 20px;
    display: inline-block;
    position: relative;
    margin-left: 0 !important;
    :deep div {
      position: absolute;
      top: 4px;
    }
  }
}
</style>
